
Figure - Bug #112624
【BSP】【EVT2】【SOC】【必现】设备烧录SOC后，不能查看MCU版本
2022-10-18 16:02 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2022-10-18

Priority: Normal Due date:

Assignee: CDTS_TEST 刘勇 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221018.alpha_0037

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221018

Reproducibility: Every time Fixed Version: 2022-10-20

Test Type: IT Root cause: TcService中自动升级MCU的流程中启动了MCU升级，与McuUpgrade 测试APP中的升级有冲突。在TcService处于正在升级MCU的流程中，McuUpgrade无法获取到版本号

Description

【前提条件】

EVT2板子

【操作步骤】

1.DUT烧录10月18号的Rlease User版本

2.给板子下上电

3.打开McuUpgrade ->点击"绑定UART服务"-> 点击"获取当前版本"

【实际结果】

3.能够在APK中获取到MCU版本信息

【预期结果】

3.不能获取MCU版本

【概率】

必现   3/3

【Remark】

使用1014的DB版本，同样操作可以直接获取到MCU版本

1018日UD版本，不能够获取MCU版本

History

#1 - 2022-10-18 16:05 - CDTS_TEST 刘勇

- Assignee changed from CD BSP-杜磊 to CD FW-王伟

#2 - 2022-10-18 16:21 - CDTS_TEST 刘勇

【测试发现】

烧录回1014的版本后，能够查看到MCU版本，此时再次烧录1018的User版本，又能查看到MCU版本

#3 - 2022-10-19 09:58 - CD FW-王伟

- Assignee changed from CD FW-王伟 to CD- FW-石豪

#4 - 2022-10-19 10:01 - CD FW-王伟

- Category set to CD-FW
#5 - 2022-10-19 14:27 - CD- FW-石豪

- Status changed from New to RESOLVED

- Assignee changed from CD- FW-石豪 to CDTS_TEST 刘勇

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221018

- Fixed Version set to 2022-10-20

- Root cause set to TcService中自动升级MCU的流程中启动了MCU升级，与McuUpgrade 测试APP中的升级有冲突。在TcService处于正在升级MCU的流程中

，McuUpgrade无法获取到版本号

【根本原因】TcService中自动升级MCU的流程中启动了MCU升级，与McuUpgrade 测试APP中的升级有冲突。在TcService处于正在升级MCU的流程中

，McuUpgrade无法获取到版本号

【解决方案】自动升级流程中，未检测到可升级版本，不启动升级。

【代码提交】https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/TCService/+/156362/2

【合入时间】1019，需要在10.20或之后版本验证

【测试方式】开机之后，点击进入McuUpgrade应用，绑定，然后获取版本号。

【备注】以后查看mcu版本号，可通过开机日志获取, 命令：adb logcat | grep -i MCUUpdate ，正常会有如下打印

10-18 01:12:02.277  2463  2549 D MCUUpdate: Check MCU current version :res = 0

10-18 01:12:02.305  2463  2541 D MCUUpdate: MCU version: 86 length: 9

10-18 01:12:02.305  2463  2541 D MCUUpdate: Current version: V0.0.2, Find version: null

#6 - 2022-10-20 14:57 - CDTS_TEST 刘勇

【前提条件】EVT2板子

【操作步骤】

1.DUT烧录10月20号的Rlease Userdegbu版本

2.给板子下上电

3.打开McuUpgrade ->点击"绑定UART服务"-> 点击"获取当前版本" 

【实际结果】

3.能够在APK中获取到MCU版本信息

【验证结果】

验证通过

【验证次数】

3次，均测试通过

#7 - 2022-10-20 15:00 - CDTS_TEST 刘勇

- Status changed from RESOLVED to VERIFIED

#8 - 2022-10-20 15:01 - CDTS_TEST 刘勇

- Status changed from VERIFIED to CLOSED

验证版本：FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20221020.alpha_0038

#9 - 2022-12-22 20:44 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

156362 general/platform/vendor/thundercom
Pre_figure_turbox-c2130c-la1.1-qssi12 shihao0506@thundersoft.com

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/TCService/+/156362/2


m/apps/TCService -dev

FW:MCU-OTA:Fix Mcu upgrade app can not get mcu versionTC-RID: 1201-0200401IssueID: TS-R-DF-112624Change-Id:

I0f602b2ba6ed12690971b2b48e681831c2a854a5
